﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;
using System.IO;
using WpfApplication9.ViewModel;
using Infragistics.Windows.DataPresenter;
namespace WpfApplication9
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        string save = string.Empty;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void btnsave_Click(object sender, RoutedEventArgs e)
        {
            save = xgrid1.SaveCustomizations();

            StreamWriter sw = new StreamWriter("Save.xml");
            sw.Write(save);
            sw.Close();
        }

        private void btnload_Click(object sender, RoutedEventArgs e)
        {
            loadCust();
        }

        private void loadCust()
        {

            StreamReader sr = new StreamReader("Save.xml");
            save = sr.ReadToEnd();

            xgrid1.LoadCustomizations(save);
        }

        private void xgrid1_InitializeRecord(object sender, Infragistics.Windows.DataPresenter.Events.InitializeRecordEventArgs e)
        {
            if (e.Record is DataRecord)
            {
                DataRecord dr = e.Record as DataRecord;

                if (dr.DataItem is Person)
                {
                    Person p = dr.DataItem as Person;
                    e.Record.IsExpanded = p.IsExpanded;
                }
            }
        }

        private void xgrid1_RecordExpanded(object sender, Infragistics.Windows.DataPresenter.Events.RecordExpandedEventArgs e)
        {
            DataRecord dr = e.Record as DataRecord;
            if (dr.DataItem is Person)
            {
                Person p = dr.DataItem as Person;
                p.IsExpanded = true;
            }
        }

        private void xgrid1_RecordCollapsed(object sender, Infragistics.Windows.DataPresenter.Events.RecordCollapsedEventArgs e)
        {
            DataRecord dr = e.Record as DataRecord;
            if (dr.DataItem is Person)
            {
                Person p = dr.DataItem as Person;
                p.IsExpanded = false;
            }
        }
    }
}
